Page MenuHomePhabricator

[EPIC] Page previews broken on many projects
Closed, ResolvedPublic

Description

Page Previews have issues on many projects. This epic will track the changes and project-specific implementations. Depending on the project, previews will either contain the current implementation, a project-specified implementation, or will not have the feature altogether.

Wiktionary - appear blank or only display image

Screen Shot 2016-10-06 at 3.18.49 PM.png (249×795 px, 66 KB)

Screen Shot 2016-10-06 at 3.21.45 PM.png (351×372 px, 181 KB)

Wikispecies - display images only

Screen Shot 2016-10-06 at 3.22.54 PM.png (330×565 px, 228 KB)

Wikiquote - seem to be working fine

Screen Shot 2016-10-06 at 3.26.01 PM.png (325×585 px, 194 KB)

Wikibooks - can turn on in beta, but doesn't make sense

Wikisource - don't seem to work

Wikinews - blank (potentially because there's no lead paragraph)

Screen Shot 2016-10-06 at 3.32.00 PM.png (157×349 px, 29 KB)

appear for articles with lead paragraph
Screen Shot 2016-10-06 at 3.32.46 PM.png (577×832 px, 394 KB)

Wikivoyage
blank or strange for certain pages

Screen Shot 2016-10-06 at 3.35.11 PM.png (195×388 px, 23 KB)

Screen Shot 2016-10-06 at 3.35.23 PM.png (351×398 px, 145 KB)

Everywhere else - we should probably disable

Related Objects

StatusSubtypeAssignedTask
Resolvedovasileva
DeclinedNone
OpenNone
DuplicateNone
DuplicateBene
ResolvedJdlrobson
Resolved mobrovac
ResolvedEevans
ResolvedEevans
ResolvedDzahn
ResolvedEevans
ResolvedEevans
OpenNone
DeclinedNone
ResolvedEevans
Resolvedfgiunchedi
ResolvedEevans
Resolved Pchelolo
OpenNone
OpenNone
OpenNone
Invalid GWicke
Resolvedliangent
Resolvedthiemowmde
OpenNone
Resolvedcscott
Resolvedcscott
Resolved Elitre
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
OpenNone
DuplicateBUG REPORTNone
Resolvedcscott
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedBUG REPORTJgiannelos
OpenNone
Resolved mobrovac
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedEevans
ResolvedEevans
ResolvedEevans
Resolved mobrovac
Resolvedcscott
Resolved Pchelolo
Resolved Pchelolo
OpenNone
OpenNone
Resolvedovasileva
DeclinedNone

Event Timeline

Jdlrobson renamed this task from Hovercards broken on many projects to [EPIC] Hovercards broken on many projects.Oct 20 2016, 7:52 PM
Jdlrobson added a project: Epic.
ovasileva triaged this task as Medium priority.Oct 24 2016, 6:17 PM
Jdlrobson subscribed.

This needs updating as it's out of date. We've now disabled it on Wiktionary and Wikidata.

ovasileva renamed this task from [EPIC] Hovercards broken on many projects to [EPIC] Page previews broken on many projects.May 9 2017, 11:14 AM
ovasileva updated the task description. (Show Details)

This task has been split up into T166894, T164739 and T164739.